grid.points {grid} | R Documentation

## Draw Data Symbols in a Grid Viewport

### Description

This function draws data symbols.

### Usage

    grid.points(x = runif(10),
                y = runif(10)),
                pch = 1, size = unit(1, "char"),
                default.units = "native",
                gp=gpar(), draw = TRUE, vp = NULL)

### Arguments

`x` | A numeric vector or unit object specifying x-values.
`y` | A numeric vector or unit object specifying y-values.
`pch` | A numeric or character vector indicating what sort of plotting symbol to use.
`size` | A unit object specifying the size of the plotting symbols.
`default.units` | A string indicating the default units to use if `x` or `y` are only given as numeric vectors.
`gp` | An object of class `gpar`, typically the output from a call to the function `gpar`. This is basically a list of graphical parameter settings.
`draw` | A logical value indicating whether graphics output should be produced.
`vp` | A Grid viewport object (or NULL).

### Details

The `"grob"` object contains an object of class `"points"`.

### Value

An object of class `"grob"`.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`

[Package Contents]